@echo off

REM Check if saa.exe exists
if not exist "saa.exe" (
    echo saa.exe not found. Please move this script to the SAA directory.
    exit /b 1
)

REM Set enable RHI raw command and temp output file
set command=saa.exe -c rawcommand --raw "30 B5 01 01"
set outputFile=temp_output.txt

REM Execute command and redirect to output file
%command% > %outputFile% 2>&1
set exitCode=%errorlevel%

if %exitCode% neq 0 (
    type %outputFile%
) else (
    findstr "00" %outputFile% >nul
    if %errorlevel% equ 0 (
        timeout /t 2 >nul
        echo RHI enabled successfully.
    ) else (
        echo Fail to enable RHI.
    )
)

REM Delete temp file
del %outputFile%
